@echo off
set /a count1=0
if exist PacMerge.ini (
GOTO :Ex
) else (
GOTO :NEx
)

:Ex
set /P bbdir=<PacMerge.ini
GOTO :Conv

:NEx
set /P bbdir=Where is your BB Directory? 
echo %bbdir%>PacMerge.ini
cls
GOTO :Conv

:Conv
set /P ans1=Do you want to convert a generic image file into a .dds texture? (Y/N) 
cls
if /i %ans1% == N (
GOTO :PacMerge
) else (
GOTO :DDSConvert
)
:DDSConvert
echo Tell me the location of the image file to convert.
::
set /P file0=Image file: 
nvdxt -file %file0% -dxt1c -rescale nearest -output out.dds
set /a count1=1
set file2="out.dds"

:PacMerge
cls
echo Tell me the location of the file (.dds/.ogg) to merge into a .pac file. Only supports one file merged into the .pac as of now.
::
if %count1% NEQ 0 GOTO :Merge
set /P file2=.dds/.ogg file location: 

:Merge
@find /c /i "DDS" %file2% > NUL
if %ERRORLEVEL% EQU 0 (
set file=headerdds
) 
@find /c /i "OGG" %file2% > NUL
if %ERRORLEVEL% EQU 0 (
set file=headerogg
) 
if %file% == headerogg GOTO :Merge2
::
set /P charst=Which character's stage BG do you want to replace? (first name only) If you want to change every character's to this background, say "all", if you want to change Iron Tager's, say "Tager". This IS case sensitive. The two stages that aren't character specific are set to Ragna2 and Ragna3.
::
GOTO :%charst%

if %charst%=all GOTO :all

:Arakune
set stage=%bbdir%\data\BGXACT\bg_pipe
GOTO :Copy
:Bang
set stage=%bbdir%\data\BGXACT\bg_bridge
GOTO :Copy
:Carl
set stage=%bbdir%\data\BGXACT\bg_circus
GOTO :Copy
:Hakumen
set stage=%bbdir%\data\BGXACT\bg_gate_2
GOTO :Copy
:Ragna
set stage=%bbdir%\data\BGXACT\bg_main_daylight
GOTO :Copy
:Ragna2
set stage=%bbdir%\data\BGXACT\bg_town
GOTO :Copy
:Ragna3
set stage=%bbdir%\data\BGXACT\bg_main_night
GOTO :Copy
:Tager
set stage=%bbdir%\data\BGXACT\bg_chinatown
GOTO :Copy
:Jin
set stage=%bbdir%\data\BGXACT\bg_church_2
GOTO :Copy
:Litchi
set stage=%bbdir%\data\BGXACT\bg_chinatown
GOTO :Copy
:Noel
set stage=%bbdir%\data\BGXACT\bg_church_2
GOTO :Copy
:Rachel
set stage=%bbdir%\data\BGXACT\bg_halloween_2
GOTO :Copy
:Taokaka
set stage=%bbdir%\data\BGXACT\bg_village
GOTO :Copy
:Nu
set stage=%bbdir%\data\BGXACT\bg_gate_2
GOTO :Copy
::

:Copy
copy /B %stage%.pac %stage%.pac.bak
copy /B %stage%_img.pac %stage%_img.pac.bak
copy /B bg_BASE.pac %stage%.pac
copy /B %file%+%file2% %stage%_img.pac
del /q out.dds
GOTO :end

:all
copy /B bg_BASE.pac %bbdir%\data\BGXACT\bg_pipe.pac
copy /B %file%+%file2% %bbdir%\data\BGXACT\bg_pipe_img.pac
copy /B bg_BASE.pac %bbdir%\data\BGXACT\bg_bridge.pac
copy /B %file%+%file2% %bbdir%\data\BGXACT\bg_bridge_img.pac
copy /B bg_BASE.pac %bbdir%\data\BGXACT\bg_circus.pac
copy /B %file%+%file2% %bbdir%\data\BGXACT\bg_circus_img.pac
copy /B bg_BASE.pac %bbdir%\data\BGXACT\bg_gate_2.pac
copy /B %file%+%file2% %bbdir%\data\BGXACT\bg_gate_2_img.pac
copy /B bg_BASE.pac %bbdir%\data\BGXACT\bg_main_daylight.pac
copy /B %file%+%file2% %bbdir%\data\BGXACT\bg_main_daylight_img.pac
copy /B bg_BASE.pac %bbdir%\data\BGXACT\bg_main_night.pac
copy /B %file%+%file2% %bbdir%\data\BGXACT\bg_main_night_img.pac
copy /B bg_BASE.pac %bbdir%\data\BGXACT\bg_chinatown.pac
copy /B %file%+%file2% %bbdir%\data\BGXACT\bg_chinatown_img.pac
copy /B bg_BASE.pac %bbdir%\data\BGXACT\bg_church_2.pac
copy /B %file%+%file2% %bbdir%\data\BGXACT\bg_church_2_img.pac
copy /B bg_BASE.pac %bbdir%\data\BGXACT\bg_halloween_2.pac
copy /B %file%+%file2% %bbdir%\data\BGXACT\bg_halloween_2_img.pac
copy /B bg_BASE.pac %bbdir%\data\BGXACT\bg_town.pac
copy /B %file%+%file2% %bbdir%\data\BGXACT\bg_town_img.pac
copy /B bg_BASE.pac %bbdir%\data\BGXACT\bg_village.pac
copy /B %file%+%file2% %bbdir%\data\BGXACT\bg_village_img.pac

if exist out.dds GOTO outddsdel
GOTO :end

:outddsdel
del /q out.dds
GOTO :end

::

:merge2
copy /B %file%+%file2% out.pac
GOTO :end

:end
